button = {}

function button_spawn (x,y,texto,id)
	table.insert(button, {x=x, y=y, texto=texto, id=id, mouseover = false})
end

function button_draw()
	for i,v in ipairs(button) do

		if v.mouseover == false then
			love.graphics.setColor(255,255,255)
		end

		if v.mouseover == true then
			love.graphics.setColor(0,0,0)
		end

		love.graphics.setFont(font)
		love.graphics.print (v.texto,v.x,v.y)
	end
end

function button_click(x,y)
	for i,v in ipairs(button) do
		if x > v.x and
		x < v.x + font:getWidth(v.texto) and
		y > v.y and
		y < v.y + font:getHeight() then
			if v.id == "quit" then
				love.event.push("quit")
			end

			if v.id == "new" then
				gamestate = "peleaa"
			end

		end

	end

end

function button_check()
	for i,v in ipairs(button) do
		if mousex > v.x and
		mousex < v.x + font:getWidth(v.texto) and
		mousey > v.y and
		mousey < v.y + font:getHeight() then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end

--function fadeout(r,b,g)
--end

function fadein(alpha)
	if alpha < 255 then
		love.graphics.setColor(254,254,254,alpha)
		love.graphics.rectangle("fill",0,0,30,30)
		miAlpha = miAlpha + 1
	end
end

function fadeout(alpha)
	alpha = 255
	if alpha > 1 then
		love.graphics.setColor(254,254,254,alpha)
		love.graphics.rectangle("fill",0,0,30,30)
		miAlpha = miAlpha - 1
	end
end